Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-sdl3/widget_label.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
widget_label.c File Reference
`#include <SDL3/SDL.h>`
`#include "log.h"`
`#include "mem.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "themespec.h"`
`#include "widget.h"`
`#include "widget_p.h"`

Go to the source code of this file.

## Functions

static int | redraw_themelabel2 (struct widget *label)
static int | redraw_label (struct widget *label)
void | remake_label_size (struct widget *label)
struct widget * | create_themelabel (SDL_Surface *icon, struct gui_layer *pdest, utf8_str *pstr, Uint16 w, Uint16 h, Uint32 flags)
struct widget * | create_iconlabel (SDL_Surface *icon, struct gui_layer *pdest, utf8_str *pstr, Uint32 flags)
struct widget * | create_themelabel2 (SDL_Surface *icon, struct gui_layer *pdest, utf8_str *pstr, Uint16 w, Uint16 h, Uint32 flags)
struct widget * | convert_iconlabel_to_themeiconlabel2 (struct widget *icon_label)
int | redraw_iconlabel (struct widget *label)
int | draw_label (struct widget *label, Sint16 start_x, Sint16 start_y)

## Variables

static int(* | baseclass_redraw )(struct widget *pwidget)

## Function Documentation

## ◆ convert_iconlabel_to_themeiconlabel2()

struct widget * convert_iconlabel_to_themeiconlabel2 | ( | struct widget * | icon_label | ) |

Make themeiconlabel2 widget out of iconlabel widget.

Definition at line 318 of file widget_label.c.

## ◆ create_iconlabel()

struct widget * create_iconlabel | ( | SDL_Surface * | icon,
|  | struct gui_layer * | pdest,
|  | utf8_str * | pstr,
|  | Uint32 | flags
| ) |  |

This Label is UTF8 string with Icon.

Definition at line 211 of file widget_label.c.

## ◆ create_themelabel()

struct widget * create_themelabel | ( | SDL_Surface * | icon,
|  | struct gui_layer * | pdest,
|  | utf8_str * | pstr,
|  | Uint16 | w,
|  | Uint16 | h,
|  | Uint32 | flags
| ) |  |

Theme label is utf8_str with Background ( icon ).

Definition at line 176 of file widget_label.c.

## ◆ create_themelabel2()

struct widget * create_themelabel2 | ( | SDL_Surface * | icon,
|  | struct gui_layer * | pdest,
|  | utf8_str * | pstr,
|  | Uint16 | w,
|  | Uint16 | h,
|  | Uint32 | flags
| ) |  |

Theme label is UTF8 string with Background ( icon ).

Definition at line 237 of file widget_label.c.

## ◆ draw_label()

int draw_label | ( | struct widget * | label,
|  | Sint16 | start_x,
|  | Sint16 | start_y
| ) |  |

Draw the label widget.

Definition at line 573 of file widget_label.c.

## ◆ redraw_iconlabel()

int redraw_iconlabel | ( | struct widget * | label | ) |

Blit iconlabel gfx to surface its on.

Definition at line 434 of file widget_label.c.

## ◆ redraw_label()

static int redraw_label | ( | struct widget * | label | ) |

static

Blit label gfx to surface its on.

Definition at line 57 of file widget_label.c.

## ◆ redraw_themelabel2()

static int redraw_themelabel2 | ( | struct widget * | label | ) |

inlinestatic

Blit themelabel2 gfx to surface its on.

Definition at line 38 of file widget_label.c.

## ◆ remake_label_size()

void remake_label_size | ( | struct widget * | label | ) |

Calculate new size for a label.

Definition at line 114 of file widget_label.c.

## Variable Documentation

## ◆ baseclass_redraw

int(* baseclass_redraw) (struct widget *pwidget) | ( | struct widget * | pwidget | ) |

static

Definition at line 33 of file widget_label.c.